import java.util.Stack;


public class StackTest1a {
	public static void main(String[] argv){
		Stack st = new Stack();
		Double d = new Double(12.0);
		st.push(d);
		d = new Double(24.0);
		st.push(d);
		
		Double d1 = (Double)st.pop();
		Double d2 = (Double)st.pop();
		Double d3 = new Double(d1.doubleValue() + d2.doubleValue());
		st.push(d3);
		
		d = (Double)st.pop();
		System.out.println("To athroisma einai " + d.doubleValue());
		}
	}